| My Project

Public Member Functions | Properties | List of all members
Modèle.Personne Class Referenceabstract

Interface Personne qui est la base des utilisateurs de l'application More...

Inheritance diagram for Modèle.Personne:

## Public Member Functions
| Personne (string email, string mdp)
| Constructeur d'une personne More...
abstract override string | ToString ()
| Création de la méthode abstraite ToString More...
abstract void | AjouterRequin (Requin req, ObservableCollection< Requin > requins)
| Création de la méthode abstraite AjouterRequin qui permet d'ajouter un Requin dans une ObservableCollection de Requin More...
abstract void | ChangerMotDePasse (string nvMdp)
| Création de la méthode abstraite ChangerMotDePasse qui permet de changer le mot de passe d'un personne More...

## Properties
string | Email`[get, protected set]`
| String email d'une Personne
string | MotDePasse`[get, protected set]`
| String mot de passe d'une Personne

## Detailed Description

Interface Personne qui est la base des utilisateurs de l'application

## Constructor & Destructor Documentation

## ◆ Personne()

Modèle.Personne.Personne | ( | string | email,
|  | string | mdp
| ) |  |
| inline

Constructeur d'une personne

Parameters

  email | String l'email de la personne qui va être créée
  mdp | String le mot de passe de la personne

## Member Function Documentation

## ◆ AjouterRequin()

abstract void Modèle.Personne.AjouterRequin | ( | Requin | req,
|  | ObservableCollection< Requin > | requins
| ) |  |
| pure virtual

Création de la méthode abstraite AjouterRequin qui permet d'ajouter un Requin dans une ObservableCollection de Requin

Parameters

  req | Requin le requin a ajouter
  requins | ObservableCollection la où on ajoute le requin

Implemented in Modèle.Expert, and Modèle.Utilisateur.

## ◆ ChangerMotDePasse()

abstract void Modèle.Personne.ChangerMotDePasse | ( | string | nvMdp | ) |
| pure virtual

Création de la méthode abstraite ChangerMotDePasse qui permet de changer le mot de passe d'un personne

Parameters

  nvMdp | String le nouveau mot de passe d'un Personne

Implemented in Modèle.Expert, and Modèle.Utilisateur.

## ◆ ToString()

abstract override string Modèle.Personne.ToString | ( |  | ) |
| pure virtual

Création de la méthode abstraite ToString

Implemented in Modèle.Expert, and Modèle.Utilisateur.

The documentation for this class was generated from the following file:

- Modèle/Personne.cs